JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.TYPEATTR

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.OaIdl.TYPEATTR

Direct Known Subclasses:
  OaIdl.TYPEATTR.ByReference

Enclosing interface:
  OaIdl

    public static class OaIdl.TYPEATTR

extends Structure

Nested Class Summary
`static class` `OaIdl.TYPEATTR.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`WinDef.WORD` `cbAlignment`
`WinDef.ULONG` `cbSizeInstance`
`WinDef.WORD` `cbSizeVft`
`WinDef.WORD` `cFuncs`
`WinDef.WORD` `cImplTypes`
`WinDef.WORD` `cVars`
`WinDef.DWORD` `dwReserved`
`Guid.GUID` `guid`
`OaIdl.IDLDESC` `idldescType`
`WinDef.LCID` `lcid`
`WString` `lpstrSchema`
`OaIdl.MEMBERID` `memidConstructor`
`OaIdl.MEMBERID` `memidDestructor`
`OaIdl.TYPEDESC` `tdescAlias`
`OaIdl.TYPEKIND` `typekind`
`WinDef.WORD` `wMajorVerNum`
`WinDef.WORD` `wMinorVerNum`
`WinDef.WORD` `wTypeFlags`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`OaIdl.TYPEATTR()`
`OaIdl.TYPEATTR(Pointer pointer)`

Method Summary
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### guid

    public Guid.GUID guid

### lcid

    public WinDef.LCID lcid

### dwReserved

    public WinDef.DWORD dwReserved

### memidConstructor

    public OaIdl.MEMBERID memidConstructor

### memidDestructor

    public OaIdl.MEMBERID memidDestructor

### lpstrSchema

    public WString lpstrSchema

### cbSizeInstance

    public WinDef.ULONG cbSizeInstance

### typekind

    public OaIdl.TYPEKIND typekind

### cFuncs

    public WinDef.WORD cFuncs

### cVars

    public WinDef.WORD cVars

### cImplTypes

    public WinDef.WORD cImplTypes

### cbSizeVft

    public WinDef.WORD cbSizeVft

### cbAlignment

    public WinDef.WORD cbAlignment

### wTypeFlags

    public WinDef.WORD wTypeFlags

### wMajorVerNum

    public WinDef.WORD wMajorVerNum

### wMinorVerNum

    public WinDef.WORD wMinorVerNum

### tdescAlias

    public OaIdl.TYPEDESC tdescAlias

### idldescType

    public OaIdl.IDLDESC idldescType

Constructor Detail

### OaIdl.TYPEATTR

    public OaIdl.TYPEATTR()

### OaIdl.TYPEATTR

    public OaIdl.TYPEATTR(Pointer pointer)

Method Detail

### getFieldOrder

    protected java.util.List getFieldOrder()

  Description copied from class: `Structure`
  Return this Structure's field names in their proper order. For example,

       protected List getFieldOrder() {
           return Arrays.asList(new String[] { ... });
       }

  IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

       protected List getFieldOrder() {
           List fields = new ArrayList(super.getFieldOrder());
           fields.addAll(Arrays.asList(new String[] { ... }));
           return fields;
       }

  Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

  Specified by:
    `getFieldOrder` in class `Structure`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.